'''
Author: your name
Date: 2021-07-27 16:19:06
LastEditTime: 2021-07-28 09:28:49
LastEditors: your name
Description: In User Settings Edit
FilePath: \evm-store\tools\build_out\controllers\menu.py
'''
#!/usr/bin/env python
# -*- coding: utf_8 -*-

from datetime import datetime
from application.app import db
from models.menu import MenuModel
from webcreator.log import logger
from webcreator.response import ResponseCode

class MenuResource(object):
    def __init__(self):
        super().__init__()

    def Treelist(self, params={}, jwt={}):
        filters = [MenuModel.is_delete==False]
        result = MenuModel.query.filter(*filters).all()
        if result:
            data = []
            for item in result:
                t = item.dict()
                data.append(t)
            return result, ResponseCode.HTTP_SUCCESS
        return None, ResponseCode.HTTP_NOT_FOUND

    def Treenodes(self, params={}, jwt={}):
        filters = [MenuModel.is_delete==False]
        result = MenuModel.query.filter(*filters).first()
        if result:
            return result, ResponseCode.HTTP_SUCCESS
        return None, ResponseCode.HTTP_NOT_FOUND

    def Updatebyid(self, params={}, jwt={}):
        filters = [MenuModel.is_delete==False]
        result = MenuModel.query.filter(*filters).first()
        if result:
            return result, ResponseCode.HTTP_SUCCESS
        return None, ResponseCode.HTTP_NOT_FOUND


menuManager = MenuResource()